# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.88"
name = "gear-wasm-builder"
version = "1.10.0"
authors = ["Gear Technologies"]
build = "build.rs"
include = [
    "build.rs",
    "src/**/*",
    "Cargo.toml",
    "README.md",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Utility for building Gear programs"
homepage = "https://gear-tech.io"
documentation = "https://docs.rs/gear-wasm-builder"
readme = "README.md"
license = "GPL-3.0"
repository = "https://github.com/gear-tech/gear"

[lib]
name = "gear_wasm_builder"
path = "src/lib.rs"

[dependencies.anyhow]
version = "1.0.86"
default-features = false

[dependencies.cargo_metadata]
version = "0.20.0"

[dependencies.cargo_toml]
version = "0.21.0"

[dependencies.chrono]
version = "0.4"

[dependencies.gear-core]
version = "=1.10.0"
default-features = false

[dependencies.gear-wasm-instrument]
version = "=1.10.0"
default-features = false

[dependencies.gear-wasm-optimizer]
version = "=1.10.0"
default-features = false

[dependencies.itertools]
version = "0.13"
features = ["use_std"]
default-features = false

[dependencies.log]
version = "0.4.22"
default-features = false

[dependencies.pathdiff]
version = "0.2.1"
default-features = false

[dependencies.regex]
version = "^1.9"

[dependencies.thiserror]
version = "2.0.12"
default-features = false

[dependencies.toml]
version = "0.8.14"
